//-----------------------------------------------
//TUSB-K02AD(V)phCoANZXpAPI
//Visual C++/CLI pW[
//
//2013_12_17@Ѓ^[gH
//Copyright (C) 2013 Turtle Industry Co.,Ltd.
//-----------------------------------------------

#ifndef TUSBK02AD_h
#define TUSBK02AD_h

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Device_Open(short Id);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void TUSBK02AD_Device_Close(short Id);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Ad_Single(short Id, unsigned char Ch, short *Dat);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Ad_Start(short Id, unsigned char Ch,unsigned char TrgCh,int Clk);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Ad_Stop(short Id);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_DIO_Dir(short Id, unsigned char b, unsigned char direction);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_DIO_In(short Id, unsigned char *data);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_DIO_Out(short Id, unsigned char b, unsigned char data);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_DIO_Status(short Id, [Out] unsigned char data[]);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern double TUSBK02AD_ExtTimer(int Clk);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_ExtTimer_Set(short Id, int Clk);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Get_Data(short Id, [Out] short dat1[],[Out] short dat2[], int *Leng);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Get_Status(short Id, unsigned char *Status, int *Leng);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern double TUSBK02AD_IntClk(int Clk);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_Trigger_Set(short Id, unsigned char TrgType, short Level, short Hys, int PreLen);
[DllImport("TUSK02AD.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK02AD_SoftTrigger(short Id);

static String^ TUSBK02A_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        case 10:
            return "̈悪mۂł܂";
        case 11:
            return "A捞쒆ł";
        case 12:
            return "A荞݃f[^͂܂";
        case 13:
            return "JnĂ܂";
        case 14:
            return "I[o[t[";
        case 15:
            return "f[^уG[";
        default:
            return "sȃG[ł";
    }
}

#endif
